Summary: HPIJS printer drivers
Name: hpijs
Version: 1.7.1
Release: 02.rvda.1
Group: Applications/Publishing
License: BSD
Packager: Robert van den Aker <robert2@dds.nl>
URL: http://hpinkjet.sourceforge.net
Source0: http://prdownloads.sf.net/hpinkjet/%{name}-%{version}.tar.gz
Source1: %{name}-%{version}-LICENSE
Patch0: hpijs-flags.patch
Requires: ghostscript
BuildRequires: autoconf automake
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%package ppds
Summary: PPD files for hpijs
Group: Applications/Publishing
Requires: hpijs = %{version}, %{_bindir}/foomatic-rip

%description
HPIJS is a collection of optimized drivers for HP and compatible printers.
Supported HP models are listed in the documentation. A full list of supported
printers can be found on the hpijs driver page at the linuxprinting.org
website. You need the ijs (preferred) or hpijs (deprecated) ghostscript device
to use these drivers.

%description ppds
PPD files for use with the hpijs ghostscript filter and the foomatic-rip script
from linuxprinting.org.

%prep
%setup -q
%patch0 -p1 -b .flags
cp %{SOURCE1} COPYING

%build
%GNUconfigure RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 COPYING $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/COPYING

# Remove unpackaged files
rm $RPM_BUILD_ROOT/%{_bindir}/foomatic-rip
rm $RPM_BUILD_ROOT/%{_libdir}/cups/filter/foomatic-rip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/hpijs
%doc %{_docdir}/%{name}-%{version}

%files ppds
%defattr(-,root,root)
%{_datadir}/ppd
%{_datadir}/cups/model/foomatic-ppds

%pre ppds
rm -f %{_datadir}/cups/model/HP*hpijs*.ppd*
rm -f %{_datadir}/cups/model/foomatic/HP/HP*hpijs*.ppd*

%post ppds
/sbin/service cups reload >/dev/null 2>&1 || :
exit 0

%postun ppds
if [ $1 = 0 ] ; then
  /sbin/service cups reload >/dev/null 2>&1 || :
fi
exit 0

%changelog
* Sat Apr 15 2006 Robert van den Aker <robert2@dds.nl>
- [1.7.1-02.rvda.1]
- Split PPDs into separate package.

* Sun Oct 31 2004 Robert van den Aker <robert2@dds.nl>
- [1.7.1-1rvda.1]
- Invoke GNU autotools to improve portability.

* Tue Oct 19 2004 Robert van den Aker <robert2@dds.nl>
- [1.7.1-1rvda]
- Update to 1.7.1.

* Mon Oct 18 2004 Robert van den Aker <robert2@dds.nl>
- [1.7-1rvda]
- Update to 1.7.

* Sat Sep 25 2004 Robert van den Aker <robert2@dds.nl>
- [1.6.2-1rvda]
- Update to 1.6.2. Obsoletes rss patch.
- Apply hpijs-flags patch from Fedora.

* Mon Dec  8 2003 Robert van den Aker <robert2@dds.nl>
- [1.5-1rvda]
- Update to 1.5. Includes newer Foomatic PPD's, so we don't need to build our
  own. No longer need html and destdir patches because they were accepted
  upstream.

* Tue Jul  8 2003 Robert van den Aker <robert2@dds.nl>
- [1.4.1-0smea2]
- Apply rss patch for improved black printing on HP DeskJet 6xx/8xx/9xx.
- Replace Foomatic PPD's with ones built with newer Foomatic engine. (Some?)
  Windows PS drivers apparently had trouble parsing the older PPD's.

* Sun Jun  8 2003 Robert van den Aker <robert2@dds.nl>
- [1.4.1-0smea1]
- Update to 1.4.1 because of the included Foomatic PPD's.
- Extracted license from hpijs source to be distributed with binary RPM
  (license requirement for binary redistribution).
- Apply a silly little HTML patch.
- Apply patch to install some stuff in DESTDIR that was installed in root.

* Thu Apr 10 2003 Robert van den Aker <robert2@dds.nl>
- Initial release.
